"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    Events: function() {
        return _Events.Events;
    },
    StyleLoader: function() {
        return _StyleLoader.StyleLoader;
    },
    StyleLoaderPlugin: function() {
        return(// @deprecated alias don't use
        _StyleLoader.StyleLoader);
    },
    defaultDependencies: function() {
        return defaultDependencies;
    }
});
require("./types");
const _core = require("@ima/core");
const _Events = require("./Events");
const _StyleLoader = require("./StyleLoader");
const defaultDependencies = _StyleLoader.StyleLoader.$dependencies;
_core.pluginLoader.register('@ima/plugin-style-loader', ()=>({
        initBind: (ns, oc)=>{
            oc.get(_core.ComponentUtils).register(_StyleLoader.StyleLoader, undefined, '@ima/plugin-style-loader');
        }
    }));

//# sourceMappingURL=main.js.map